﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace TestApp
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainContainer : Grid
    {

        public MainContainer()
        {
            this.InitializeComponent();

            List<PageItem> pages = new List<PageItem>();
            pages.Add(new PageItem { Title = "旋转", PageType = typeof(Pages.Page1) });
            pages.Add(new PageItem { Title = "平移", PageType = typeof(Pages.Page2) });

            lvpages.ItemsSource = pages;
        }

        private void OnItemClick(object sender, ItemClickEventArgs e)
        {
            PageItem item = e.ClickedItem as PageItem;
            fr.Navigate(item.PageType);
        }
    }

    class PageItem
    {
        public string Title { get; set; }
        public Type PageType { get; set; }
    }
}
